Mutators

## Functions

template<typename T>
void | geos::geom::CoordinateSequence::setAt (const T &c, std::size_t pos)
| Copy Coordinate c to position pos.
void | geos::geom::CoordinateSequence::setOrdinate (std::size_t index, std::size_t ordinateIndex, double value)
void | geos::geom::CoordinateSequence::setPoints (const std::vector< Coordinate > &v)
| Substitute Coordinate list with a copy of the given vector.
void | geos::geom::CoordinateSequence::setPoints (const std::vector< CoordinateXY > &v)
| Substitute Coordinate list with a copy of the given vector.

## Detailed Description

## Function Documentation

## setOrdinate()

void geos::geom::CoordinateSequence::setOrdinate | ( | std::size_t | index,
|  | std::size_t | ordinateIndex,
|  | double | value )

Sets the value for a given ordinate of a coordinate in this sequence.

Parameters

  index | the coordinate index in the sequence
  ordinateIndex | the ordinate index in the coordinate (in range [0, dimension-1])
  value | the new ordinate value